Subject: Re: pmdisk working on ppc (WAS: Help port swsusp to ppc)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 29 Jan 2004 23:10:09 +1100

On Thu, 2004-01-29 at 20:30, Michael Schmitz wrote:
> > > OK. I put a mdelay(100) between the PMU_SYSTEM_READY request and the
> > > pmu_suspend() call in pmu_sys_resume and it seems to work so far. Side
> > > note: if you are saving a large system and have multiple swap files, play
> > > with swap priorities to make sure the pages are swapped out to the file
> > > _not_ used for suspend.
> >
> > Hrm... Remove the PMU_SYSTEM_READY, it's a bug to call it on a 101...
> > And it's not needed anyway.
>
> I'm trying a if (pmu_kind != 3) around that call - should it rather be <= 3 ?

Just remove it for you tests. Only KEYLARGO based PMUs have this call

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/